Skip to content

Retrieve profile spend limits
deprecated

Request

Retrieves the spending limits that are configured for a profile.

This endpoint has been deprecated. Use Retrieve profile limits instead.

Security
UserToken
Path
profileIdinteger, (int64)required

The profile ID.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
curl -i -X GET \
  'https://api.wise.com/v3/spend/profiles/{profileId}/spending-limits' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479'

Responses

Profile spending limits.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
spendingsArray of objects

A collection of spending resources.

Response
{ "spendings": [ { "type": "ATM_WITHDRAWAL", "limits": [ … ] }, { "type": "ECOM_PURCHASE", "limits": [ … ] } ] }